
data {
    int<lower = 3> K;
    int<lower = 0> Freq_Noise[K];
    int<lower = 0> Freq_Signal[K];
}

parameters {
    real mu;
    real<lower = 0.0> sigma;
    ordered[K-1] c;
}

transformed parameters {
    vector[K] theta_n;
    vector[K] theta_s;

    theta_n[1] = Phi(c[1]);
    theta_n[K] = 1.0 - Phi(c[K-1]);
    for (k in 2:(K-1))
        theta_n[k] = Phi(c[k]) - Phi(c[k-1]);
    
    theta_s[1] = Phi((c[1] - mu) / sigma);
    theta_s[K] = 1.0 - Phi((c[K-1] - mu) / sigma);
    for (k in 2:(K-1))
        theta_s[k] = Phi((c[k] - mu) / sigma) - Phi((c[k-1] - mu) / sigma);
}

model {
    Freq_Noise ~ multinomial(theta_n);
    Freq_Signal ~ multinomial(theta_s);
}
